# Modify

After all required changes any optional steps in a booking workbench session, send a POST request with the workbench identifier to commit the order changes in the workbench.

Endpoint: POST /air/modify/reservations/{Identifier}
Version: 11.33.0
Security: bearerAuth

## Query parameters:

  - `autoDeleteDate` (string)
    Acts as a retention segment to hold the reservation open past the last date of travel purge date. Sending a new autoDeleteDate at commit step will update the existing autoDeleteDate. Sending 000/00/00 will delete an existing autoDeleteDate.

  - `Issuance` (string)
    Indicates the type of issuance that should be performed at commit. (Ticket, BackOffice (MIR\/TAIR))
    Enum: "Ticket", "BackOffice", "All", "Invoice"

  - `DocumentValue` (string)
    Indicates of the value of the document should be refunded or retained following a CancelOffer action
    Enum: "Retain", "Refund", "Forfeit", "Void"

  - `payLaterInd` (boolean)
    If true, the Reservation will be fulfilled at a later date

## Path parameters:

  - `Identifier` (string, required)
    The Reservation Workbench Identifier you wish to modify NDC content
    Example: "49f58f5f-c443-43b4-9f5d-be405fd00a01"

## Header parameters:

  - `TraceId` (string)
    Identifier used to correlate Air API invocations across a multi-call business flows.
    Example: "TraceID_123456789"

  - `XAUTH_TRAVELPORT_ACCESSGROUP` (string)
    Identifies the Travelport access group with which the caller is associated
    Example: "19Y88702-C27A-4E5D-829A-89D7016688B1"

  - `travelportPlusSessionIdentifier` (string)
    travelportPlusSessionIdentifier used to maintain an established agency session
    Example: "49f58f5f-c443-43b4-9f5d-be405fd00a01"

  - `TVP-PCC-Core` (string)
    Allows user to pass PCC instead of Access Group ID
    Example: "DU7_1G"

  - `Accept-Encoding` (string, required)
    Comma-separated list of acceptable encodings like gzip and/or deflate
    Example: "gzip, deflate"

## Request fields (application/json):

  - `Notification` (array)

  - `Notification.QueueNumber` (array)

  - `Notification.QueueNumber.value` (integer)
    Example: 10

  - `Notification.QueueNumber.category` (string)
    The Queue Category
    Example: "CAE"

  - `Notification.QueueNumber.subCategory` (string)
    Date range subCategory
    Example: "Date Range sub-category"

  - `Notification.QueueNumber.overridePCC` (string)
    Use PCC to override to queue the Reservation to another PCC
    Example: "0XS4"

  - `Notification.Date` (string)
    The notification date is equivalent to ticket time limit and will place the Reservation on the defined queue for the date specified. Sending a new notification date at commit step will update the existing notificationDate. Sending 000/00/00 will delete an existing notificationDate.

  - `Notification.Comment` (string)
    Optional ticket time limit text string.
    Example: "Optional free text"

  - `scheduleChangeAcceptedInd` (boolean)
    If true, the schedule change is accepted by the consumer.

  - `inhibitResidualDocumentIssuanceInd` (boolean)
    If true, any residual value will not be applied to an MCO or EMD.
    Example: true

  - `enableTwoStepCommitInd` (boolean)
    If true, reservation warnings such as minimum connection time will be returned to the user for review and a second commit will be required to proceed with creating the reservation.
    Example: true

  - `overrideMCTInd` (boolean)
    If true, the minimum connection time warning will be ignored and the Reservation created.
    Example: true

  - `errorWhenScheduleChangesInd` (boolean)
    If true, an error will be returned when the flight schedule changes during commit processing
    Example: true

  - `scheduleChangeReprice` (string)
    Enum: "RetainOfferPrice", "AcceptOfferPriceDifference"

  - `ReceivedFrom` (string)
    Override the received from field with custom data. Field is stored in Reservation history.
    Example: "TW"

  - `errorWhenOfferPriceChangesInd` (boolean)
    If true, an error will be returned when the flight price changes during commit processing.
    Example: true

  - `errorWhenOfferPriceCancelledInd` (boolean)

## Response 200 fields (application/json):

  - `ReservationResponse` (object)
    The response of Create Reservation (Reference Payload), Create Reservation (Full Payload), Sync Reservation, Modify/Add Reservation, Create/Modify Passive Reservation, Retrieve Reservation, or Cancel Reservation endpoint requests.

  - `ReservationResponse.Reservation` (object)

  - `ReservationResponse.Reservation.@type` (string, required)
    Discriminator classes ReservationID, Reservation or ReservationDetail
    Example: "Reservation"

  - `ReservationResponse.Reservation.id` (string)
    Internal identifier for the response.
    Example: "REF12873"

  - `ReservationResponse.Reservation.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ReservationResponse.Reservation.Identifier.value` (string)
    "Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value. 
Results from Availability and SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request."
    Example: "A0656EFF-FAF4-456F-B061-0161008D7C4E"

  - `ReservationResponse.Reservation.Identifier.authority` (string)
    "Name of the supplier system that created this identifier. 
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either TVPT (Travelport) or BKNG (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book."
    Example: "TVPT"

  - `ReservationResponse.@type` (string)
    Example: "response"

  - `ReservationResponse.transactionId` (string)
    "A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting. Also known as E2ETrackingId. Not returned in all Hotel API responses."
    Example: "49f58f5f-c443-43b4-9f5d-be405fd00a01"

  - `ReservationResponse.traceId` (string)
    "Used in hospitality workflows to provide a Unique transaction or tracking id for a single request and response. For Rules, returned if a custom trace ID was sent in the request header"
    Example: "TraceID_123456"

  - `ReservationResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flow.

  - `ReservationResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ReservationResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ReservationResponse.Result.@type` (string)
    Discriminator class Result only
    Example: "Result"

  - `ReservationResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ReservationResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ReservationResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: "ErrorDetail"

  - `ReservationResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: "No flights found."

  - `ReservationResponse.Result.Error.NameValuePair` (array)

  - `ReservationResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: "Sunday"

  - `ReservationResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: "6"

  - `ReservationResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the of type of remark or error.
    Example: "Day1"

  - `ReservationResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ReservationResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ReservationResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: "WarningDetail"

  - `ReservationResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: "Customer Loyalty could not be applied."

  - `ReservationResponse.Result.Warning.NameValuePair` (array)

  - `ReservationResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ReservationResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ReservationResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.

  - `ReservationResponse.NextSteps.baseURI` (string, required)
    The base portion of the uri in order to shorten the uris in the individual steps

  - `ReservationResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: "5"

  - `ReservationResponse.NextSteps.NextStep` (array, required)

  - `ReservationResponse.NextSteps.NextStep.value` (string)
    Example: "www.resourcelocation.com"

  - `ReservationResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: "2"

  - `ReservationResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: "cancel"

  - `ReservationResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ReservationResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: "remove offer from the order"

  - `ReservationResponse.ReferenceList` (array)

  - `ReservationResponse.ReferenceList.@type` (string, required)
    Discriminator. Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute. Air Price child classes are ReferenceListAmenity and ReferenceListBrand. FareRules child class is ReferenceListFlight. Search Ancillaries child class is ReferenceListFlight. Seat Map child class is ReferenceListSeatingChart. Hotel Availability child class is ReferenceListPropertyDates. Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute. Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice. Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler. Book_Traveler child class is ReferenceListTraveler.
    Example: "ReferenceListFlight"

  - `ReservationResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ReservationResponse.CurrencyRateConversion` (array)

  - `ReservationResponse.CurrencyRateConversion.@type` (string)

  - `ReservationResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world. 
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ReservationResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: "USD"

  - `ReservationResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: "ISO 4217"

  - `ReservationResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ReservationResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: "ISO 4217"

  - `ReservationResponse.CurrencyRateConversion.TargetCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world. 
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ReservationResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ReservationResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ReservationResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: "ISO 4217"

  - `ReservationResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: "2026-08-07 12:12:00+00:00"

  - `ReservationResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ReservationResponse.Pagination.@type` (string, required)
    Example: "Pagination"

  - `ReservationResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ReservationResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ReservationResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ReservationResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 400 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: "response"

  - `ErrorResponse.transactionId` (string)
    "A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting. Also known as E2ETrackingId. Not returned in all Hotel API responses."
    Example: "49f58f5f-c443-43b4-9f5d-be405fd00a01"

  - `ErrorResponse.traceId` (string)
    "Used in hospitality workflows to provide a Unique transaction or tracking id for a single request and response. For Rules, returned if a custom trace ID was sent in the request header"
    Example: "TraceID_123456"

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flow.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.


